{% extends 'users/base.html' %}

{% block content %}

<a class="text-secondary" href="/admin" target="blank">View Admin</a>
<br><br>

    <h1>Developer View</h1>

    <!-- ----------------------------------------------------------- -->
    <h2>Schools</h2>
    {% if schools %}
        <ul>
        {% for school in schools %}
            <li>{{ school.name }}</a></li>
        {% endfor %}
        </ul>
    {% else %}
        <p>No schools data.</p>
    {% endif %}

    <!-- ----------------------------------------------------------- -->
    <h2>Teachers</h2>
    {% if profiles %}
        {% for profile in profiles %}
            <ul>
                <li>Name: {{ profile.name }}
                    <ul>
                        <li>Email: {{ profile.email }}</li>
                        <li>Date Joined: {{ profile.date_joined }}</li>
                        <li>Grade(s): {{ profile.grades }}</li>
                        <li>School(s):</li>
                        {% for schools in profile.schools.all %}
                            <ul>
                                <li>{{ schools }}</li>
                            </ul>
                        {% endfor %}
                        <!-- <li>Items:</li>
                        {% for items in profile.items.all %}
                            <ul>
                                <li>{{ items }}</li>
                            </ul>
                        {% endfor %} -->
                    </ul>
                </li>
            </ul>
        {% endfor %}
    {% else %}
        <p>No teachers data.</p>
    {% endif %}

    <!-- ----------------------------------------------------------- -->
    <h2>Items</h2>
    {% if items %}
        {% for item in items %}
            <ul>
                <li>Item Name: {{ item.name }}
                    <ul>
                        <li>Teacher_Requested: {{ item.teacher_requested }}</li>
                        <li>Date_Created: {{ item.date_created }}</li>
                        <li>Category: {{ item.category }}</li>
                        <li>Description: {{ item.description }}</li>
                        <li>Quantity: {{ item.quantity }}</li>
                        <li>Total: {{ item.total }}</li>
                        <li>Status: {{ item.status }}</li>
                    </ul>
                </li>
            </ul>
        {% endfor %}
    {% else %}
        <p>No items data.</p>
    {% endif %}
    
{% endblock %}